Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.async
Class TransactionCompletionEvent

    java.lang.Object
      org.jboss.seam.async.Asynchronous
          org.jboss.seam.async.AsynchronousEvent
              org.jboss.seam.async.TransactionCompletionEvent

All Implemented Interfaces:
  Serializable, Synchronization

    public class TransactionCompletionEvent

extends AsynchronousEvent
implements Synchronization

An event that is processed when a transaction ends

Author:
  Gavin King
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.seam.async.Asynchronous
`Asynchronous.ContextualAsynchronousRequest`

Constructor Summary
`TransactionCompletionEvent(String type, Object... params)`

Method Summary
`void` | `afterCompletion(int status)`
`void` | `beforeCompletion()`
`String` | `toString()`

Methods inherited from class org.jboss.seam.async.AsynchronousEvent
`execute, getType, handleException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionCompletionEvent

    public TransactionCompletionEvent(String type,
                                      Object... params)

Method Detail

### afterCompletion

    public void afterCompletion(int status)

  Specified by:
    `afterCompletion` in interface `Synchronization`

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `Synchronization`

### toString

    public String toString()

  Overrides:
    `toString` in class `AsynchronousEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.